package com.altimetrik.controllers;

import java.util.Arrays;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.altimetrik.model.Customer;
import com.altimetrik.model.PlanName;
import com.altimetrik.model.PlanStatus;
import com.altimetrik.service.CustomerService;

@RestController
@RequestMapping(value = "/customer")
public class CustomerController {

	@Autowired
	CustomerService customerService;

	@GetMapping(value = "/all", produces = MediaType.APPLICATION_JSON_VALUE, consumes = MediaType.ALL_VALUE)
	public ResponseEntity<List<Customer>> getCustomers() {
//		System.out.println();
		return new ResponseEntity<List<Customer>>(customerService.getAll(), HttpStatus.OK);

	}

//	@GetMapping(value = "/allSort", produces = MediaType.APPLICATION_JSON_VALUE, consumes = MediaType.ALL_VALUE)
//	public ResponseEntity<List<Customer>> getCustomersSort() {
////		System.out.println();
//		return new ResponseEntity<List<Customer>>(customerService.getAllSort(), HttpStatus.OK);
//
//	}

	
	@PostMapping(value = "/add", produces = MediaType.APPLICATION_JSON_VALUE, consumes = MediaType.ALL_VALUE)
	public ResponseEntity<Customer> addCustomer(@RequestBody Customer cust) {
		return new ResponseEntity<Customer>(customerService.addCust(cust), HttpStatus.OK);

	}
	
	@GetMapping(value = "/allPlans", produces = MediaType.APPLICATION_JSON_VALUE, consumes = MediaType.ALL_VALUE)
	public ResponseEntity<List<PlanName>> getPlans() {
//		System.out.println();
		return new ResponseEntity<List<PlanName>>(Arrays.asList(PlanName.values()), HttpStatus.OK);

	}

	@GetMapping(value = "/allPlanStatus", produces = MediaType.APPLICATION_JSON_VALUE, consumes = MediaType.ALL_VALUE)
	public ResponseEntity<List<PlanStatus>> getPlanStatus() {
//		System.out.println();
		return new ResponseEntity<List<PlanStatus>>(Arrays.asList(PlanStatus.values()), HttpStatus.OK);

	}

	
}
