package com.altimetrik.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;


@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "CUSTOMER")
@JsonIgnoreProperties
@Data
public class Customer implements Serializable{

	 public Customer() {
		super();
		// TODO Auto-generated constructor stub
	}

	@Override
	public String toString() {
		return "Customer [id=" + id + ", name=" + name + ", dob=" + dob + ", email=" + email + ", adhaar=" + adhaar
				+ ", registrationdate=" + registrationdate + ", mobile=" + mobile + ", planname=" + planname
				+ ", plancost=" + plancost + ", validity=" + validity + ", planstatus=" + planstatus + "]";
	}

	public Customer(Long id, String name, String dob, String email, String adhaar, String registrationdate,
			String mobile, PlanName planname, String plancost, String validity, PlanStatus planstatus) {
		super();
		this.id = id;
		this.name = name;
		this.dob = dob;
		this.email = email;
		this.adhaar = adhaar;
		this.registrationdate = registrationdate;
		this.mobile = mobile;
		this.planname = planname;
		this.plancost = plancost;
		this.validity = validity;
		this.planstatus = planstatus;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDob() {
		return dob;
	}

	public void setDob(String dob) {
		this.dob = dob;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getAdhaar() {
		return adhaar;
	}

	public void setAdhaar(String adhaar) {
		this.adhaar = adhaar;
	}

	public String getRegistrationdate() {
		return registrationdate;
	}

	public void setRegistrationdate(String registrationdate) {
		this.registrationdate = registrationdate;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public PlanName getPlanname() {
		return planname;
	}

	public void setPlanname(PlanName planname) {
		this.planname = planname;
	}

	public String getPlancost() {
		return plancost;
	}

	public void setPlancost(String plancost) {
		this.plancost = plancost;
	}

	public String getValidity() {
		return validity;
	}

	public void setValidity(String validity) {
		this.validity = validity;
	}

	public PlanStatus getPlanstatus() {
		return planstatus;
	}

	public void setPlanstatus(PlanStatus planstatus) {
		this.planstatus = planstatus;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	private final static long serialVersionUID = 770234L;
	 
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	@Column(name = "name", length = 50, nullable = false, unique = false)
	private String name;

	@Column(name = "dob", length = 20, nullable = false, unique = false)
	private String dob;

	@Column(name = "email", length = 40, nullable = false, unique = false)
	private String email;

	@Column(name = "adhaar", length = 20, nullable = false, unique = false)
	private String adhaar;

	@Column(name = "registrationdate", length = 20, nullable = false, unique = false)
	private String registrationdate;

	@Column(name = "mobile", length = 20, nullable = false, unique = false)
	private String mobile;
	
	@Column(name = "planname", length = 20, nullable = false, unique = false)
	@Enumerated(EnumType.STRING)
	private PlanName planname;
	
	@Column(name = "plancost", length = 20, nullable = false, unique = false)
	private String plancost;
	
	@Column(name = "validity", length = 20, nullable = false, unique = false)
	private String validity;
	
	@Column(name = "planstatus", length = 20, nullable = false, unique = false)
	@Enumerated(EnumType.STRING)
	private PlanStatus planstatus;
}
